## ros-one-moveit-task-constructor-capabilities 0.1.4-0noble.20251023.1757

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(moveit_task_constructor_capabilities)

find_package(fmt REQUIRED)
find_package(catkin REQUIRED COMPONENTS
  actionlib
  moveit_core
  moveit_ros_move_group
  moveit_task_constructor_core
  moveit_task_constructor_msgs
  pluginlib
  std_msgs
)

moveit_build_options()

catkin_package(
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS
    actionlib
    moveit_task_constructor_msgs
    std_msgs
)

# Check for availability of moveit::core::MoveItErrorCode::toString
set(CMAKE_REQUIRED_INCLUDES ${catkin_INCLUDE_DIRS})
set(CMAKE_REQUIRED_LIBRARIES ${catkin_LIBRARIES})
set(CMAKE_REQUIRED_FLAGS -Wno-error)
include(CheckCXXSymbolExists)

add_library(${PROJECT_NAME}
   src/execute_task_solution_capability.cpp
)
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})
target_include_directories(${PROJECT_NAME} SYSTEM PUBLIC ${catkin_INCLUDE_DIRS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} fmt::fmt)

install(TARGETS ${PROJECT_NAME}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

install(FILES capabilities_plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

## ros-one-moveit-task-constructor-capabilities 0.1.4-0jammy.20251023.1737

=== debian/changelog ===
ros-one-moveit-task-constructor-capabilities (0.1.4-0jammy.20251023.1737) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael v4hn Goerner <me@v4hn.de>  Thu, 23 Oct 2025 17:37:33 +0000

ros-one-moveit-task-constructor-capabilities (0.1.4-0jammy) jammy; urgency=high

  * Add missing include fmt/ranges.h (#712 <https://github.com/moveit/moveit_task_constructor/issues/712>)
  * Provide action feedback during task execution (#653 <https://github.com/moveit/moveit_task_constructor/issues/653>)
  * Increase minimum required CMake version to 3.16 supported by Ubuntu 20.04
  * Silent error "Found empty JointState message"
  * Simplify formatting code with https://github.com/fmtlib (#499 <https://github.com/moveit/moveit_task_constructor/issues/499>)
  * Drop Melodic support
  * Fix Solution::fillMessage() (#432 <https://github.com/moveit/moveit_task_constructor/issues/432>)
  * Add property trajectory_execution_info (#355 <https://github.com/moveit/moveit_task_constructor/issues/355>, #502 <https://github.com/moveit/moveit_task_constructor/issues/502>)
  * ExecuteTaskSolutionCapability: Rename goalCallback() -> execCallback()
  * Replace namespace robot_[model|state] with moveit::core
  * Use pluginlib consistently (#463 <https://github.com/moveit/moveit_task_constructor/issues/463>)
  * Contributors: Dhruv Patel, Michael Görner, Robert Haschke

 -- Michael v4hn Goerner <me@v4hn.de>  Wed, 15 Oct 2025 00:00:00 -0000

ros-one-moveit-task-constructor-capabilities (0.1.3-0jammy) jammy; urgency=high



 -- Michael v4hn Goerner <me@v4hn.de>  Mon, 06 Mar 2023 00:00:00 -0000

ros-one-moveit-task-constructor-capabilities (0.1.2-0jammy) jammy; urgency=high



 -- Michael v4hn Goerner <me@v4hn.de>  Fri, 24 Feb 2023 00:00:00 -0000

ros-one-moveit-task-constructor-capabilities (0.1.1-0jammy) jammy; urgency=high



 -- Michael v4hn Goerner <me@v4hn.de>  Wed, 15 Feb 2023 00:00:00 -0000

ros-one-moveit-task-constructor-capabilities (0.1.0-0jammy) jammy; urgency=high

  * Initial release
  * Contributors: Michael Görner, Robert Haschke

 -- Michael v4hn Goerner <me@v4hn.de>  Thu, 02 Feb 2023 00:00:00 -0000

=== debian/control ===
Source: ros-one-moveit-task-constructor-capabilities
Section: misc
Priority: optional
Maintainer: Michael v4hn Goerner <me@v4hn.de>
Build-Depends: debhelper (>= 9.0.0), libfmt-dev, ros-one-actionlib, ros-one-catkin, ros-one-moveit-core, ros-one-moveit-ros-move-group, ros-one-moveit-task-constructor-core, ros-one-moveit-task-constructor-msgs, ros-one-pluginlib, ros-one-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-moveit-task-constructor-capabilities
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfmt-dev, ros-one-actionlib, ros-one-moveit-core, ros-one-moveit-ros-move-group, ros-one-moveit-task-constructor-core, ros-one-moveit-task-constructor-msgs, ros-one-pluginlib, ros-one-std-msgs
Description: MoveGroupCapabilites to interact with MoveIt

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-moveit-task-constructor-capabilities//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-moveit-task-constructor-capabilities 0.1.4-0noble.20251023.1757

=== debian/changelog ===
ros-one-moveit-task-constructor-capabilities (0.1.4-0noble.20251023.1757) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael v4hn Goerner <me@v4hn.de>  Thu, 23 Oct 2025 17:57:39 +0000

ros-one-moveit-task-constructor-capabilities (0.1.4-0noble) noble; urgency=high

  * Add missing include fmt/ranges.h (#712 <https://github.com/moveit/moveit_task_constructor/issues/712>)
  * Provide action feedback during task execution (#653 <https://github.com/moveit/moveit_task_constructor/issues/653>)
  * Increase minimum required CMake version to 3.16 supported by Ubuntu 20.04
  * Silent error "Found empty JointState message"
  * Simplify formatting code with https://github.com/fmtlib (#499 <https://github.com/moveit/moveit_task_constructor/issues/499>)
  * Drop Melodic support
  * Fix Solution::fillMessage() (#432 <https://github.com/moveit/moveit_task_constructor/issues/432>)
  * Add property trajectory_execution_info (#355 <https://github.com/moveit/moveit_task_constructor/issues/355>, #502 <https://github.com/moveit/moveit_task_constructor/issues/502>)
  * ExecuteTaskSolutionCapability: Rename goalCallback() -> execCallback()
  * Replace namespace robot_[model|state] with moveit::core
  * Use pluginlib consistently (#463 <https://github.com/moveit/moveit_task_constructor/issues/463>)
  * Contributors: Dhruv Patel, Michael Görner, Robert Haschke

 -- Michael v4hn Goerner <me@v4hn.de>  Wed, 15 Oct 2025 00:00:00 -0000

ros-one-moveit-task-constructor-capabilities (0.1.3-0noble) noble; urgency=high



 -- Michael v4hn Goerner <me@v4hn.de>  Mon, 06 Mar 2023 00:00:00 -0000

ros-one-moveit-task-constructor-capabilities (0.1.2-0noble) noble; urgency=high



 -- Michael v4hn Goerner <me@v4hn.de>  Fri, 24 Feb 2023 00:00:00 -0000

ros-one-moveit-task-constructor-capabilities (0.1.1-0noble) noble; urgency=high



 -- Michael v4hn Goerner <me@v4hn.de>  Wed, 15 Feb 2023 00:00:00 -0000

ros-one-moveit-task-constructor-capabilities (0.1.0-0noble) noble; urgency=high

  * Initial release
  * Contributors: Michael Görner, Robert Haschke

 -- Michael v4hn Goerner <me@v4hn.de>  Thu, 02 Feb 2023 00:00:00 -0000

## ros-one-moveit-task-constructor-capabilities 0.1.4-4jammy.20260128.2347

=== debian/changelog ===
ros-one-moveit-task-constructor-capabilities (0.1.4-4jammy.20260128.2347) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael v4hn Goerner <me@v4hn.de>  Wed, 28 Jan 2026 23:47:11 +0000

## ros-one-moveit-task-constructor-capabilities 0.1.4-4jammy.20260301.2348

=== debian/changelog ===
ros-one-moveit-task-constructor-capabilities (0.1.4-4jammy.20260301.2348) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael v4hn Goerner <me@v4hn.de>  Sun, 01 Mar 2026 23:48:35 +0000

## ros-one-moveit-task-constructor-capabilities 0.1.4-4noble.20260129.0005

=== debian/changelog ===
ros-one-moveit-task-constructor-capabilities (0.1.4-4noble.20260129.0005) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael v4hn Goerner <me@v4hn.de>  Thu, 29 Jan 2026 00:05:40 +0000

## ros-one-moveit-task-constructor-capabilities 0.1.4-4noble.20260301.2340

=== debian/changelog ===
ros-one-moveit-task-constructor-capabilities (0.1.4-4noble.20260301.2340) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael v4hn Goerner <me@v4hn.de>  Sun, 01 Mar 2026 23:40:12 +0000
